<?php
/**
* @copyright Copyright (C) 2006 - 2010 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
**/
// no direct access
defined('_JEXEC') or die('Restricted access');

class JElementZoocategories4 extends JElement
{
	var	$_name = 'zoocategories4';

	function fetchElement($name, $value, &$node, $control_name){
	    
	    if( !is_dir(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_zoo') ){
	    	return '<b>ZOO component is not installed on your Joomla site</b>';
	    }
		
		global $mainframe;
		
		$db = &JFactory::getDBO();
		
		$result = array();
        $fields = array();
        $option_list = array();

		$sql = "SELECT a.name AS app, c.name AS category, c.id
        FROM #__zoo_application AS a
        INNER Join #__zoo_category AS c ON a.id = c.application_id
        WHERE c.published = 1 ";
		
		$sql_end = " ORDER BY category";
		
	    if( $mainframe->isSite() ) {
			if (!empty($value) ) {
			    if( !is_array($value) )
				    $value = array($value);
				$sql .= ' AND c.id IN('.implode(',', $value).') '.$sql_end ;
				$db->setQuery($sql);
				$result = $db->loadObjectList();
			}
		} else {
			$sql .= $sql_end;
			$db->setQuery($sql);
			$result = $db->loadObjectList();
		}
		
		foreach( $result as $field ){
			$fields[$field->app]['name'] = $field->app;
			$fields[$field->app]['options'][] = JHTML::_( 'select.option', $field->id, $field->category );
		}
		
		foreach( $fields as $key => $field ) {
			$option_list[] = JHTML::_( 'select.optgroup', $fields[$key]['name'] );
			$option_list = array_merge( $option_list, $fields[$key]['options'] );
		}
		$output	= JHTML::_( 'select.genericlist',  $option_list, "{$control_name}[{$name}][]", 'class="inputbox" style="width:90%;" multiple="multiple" size="10"', 'value', 'text', $value );
		
		return $output;
	}
}
