<?php
/**
* @copyright Copyright (C) 2006 - 2010 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
**/
defined('_JEXEC') or die('Restricted access');

class JElementZooTypes10 extends JElement {

	var	$_name = 'zootypes10';

	function fetchElement($name, $value, &$node, $control_name) {
	    
    	if( !is_dir(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_zoo') ){
	    	return '<b>ZOO component is not installed on your Joomla site</b>';
	    }

		global $mainframe;
		$db    =& JFactory::getDBO();
		
		$options = array();
		
		$sql = 'SELECT DISTINCT i.type AS value FROM #__zoo_item AS i';	
		
		if( !is_array($value) )
		    $value = array($value);
		
	    if( $mainframe->isSite() ) {
			if (!empty($value) ) {
			    foreach ($value as $val) {
			        $op = new stdClass();
			        $op->value = $val;
			    	$options[] = $op;
			    }
			}
		} else {
			$db->setQuery($sql);
			$result = $db->loadObjectList();
			$options = array_merge( $options, $result );
		}
		
		return JHTML::_('select.genericlist', $options, $control_name.'['.$name.'][]', 'multiple=multiple', 'value', 'value', $value);
	}
	
}