<?php
/**
* @copyright Copyright (C) 2006 - 2010 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
**/
// no direct access
defined('_JEXEC') or die('Restricted access');

class JElementZoocatalogs8 extends JElement
{
	var	$_name = 'zoocatalogs8';

	function fetchElement($name, $value, &$node, $control_name){
	    
	    if( !is_dir(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_zoo') ){
	    	return '<b>ZOO component is not installed on your Joomla site</b>';
	    }
		
		global $mainframe;
		
		$db = &JFactory::getDBO();
		
		$sql = "SELECT a.id,a.name
		FROM #__zoo_application AS a ";
	
		$sql_end = " ORDER BY a.name";
		
		$result = '';
		
	    if( $mainframe->isSite() ) {
			if (!empty($value) ) {
			    if( !is_array($value) )
				    $value = array($value);
				$sql .= ' WHERE a.id IN('.implode(',', $value).') '.$sql_end ;
				$db->setQuery($sql);
				$result = $db->loadObjectList();
			}
		} else {
			$sql .= $sql_end;
			$db->setQuery($sql);
			$result = $db->loadObjectList();
		}
		
		$fields = array();

		if( $result )
    		foreach( $result as $field ){
    			$fields[] = JHTML::_( 'select.option', $field->id, $field->name );
    		}
		
		$output	= JHTML::_( 'select.genericlist',  $fields, "{$control_name}[{$name}][]", 'class="inputbox" multiple="multiple" size="6"', 'value', 'text', $value );
		
		return $output;
	}
}
